import sqlmodel
from sqlalchemy.future import Engine

from . import models


def change_master_pass(
    engine: Engine, user_id: int, salt: bytes, passwd: bytes
) -> None:
    statement = sqlmodel.update(
        models.MasterPass,
        models.MasterPass.user_id == user_id,
        {"salt": salt, "passwd": passwd},
    )
    with sqlmodel.Session(engine) as session:
        session.exec(statement)
        session.commit()
